/*******************************************************************************
* File Name: AN0.h  
* Version 2.20
*
* Description:
*  This file contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_AN0_H) /* Pins AN0_H */
#define CY_PINS_AN0_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "AN0_aliases.h"

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 AN0__PORT == 15 && ((AN0__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    AN0_Write(uint8 value);
void    AN0_SetDriveMode(uint8 mode);
uint8   AN0_ReadDataReg(void);
uint8   AN0_Read(void);
void    AN0_SetInterruptMode(uint16 position, uint16 mode);
uint8   AN0_ClearInterrupt(void);
/** @} general */

/***************************************
*           API Constants        
***************************************/
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the AN0_SetDriveMode() function.
     *  @{
     */
        #define AN0_DM_ALG_HIZ         PIN_DM_ALG_HIZ
        #define AN0_DM_DIG_HIZ         PIN_DM_DIG_HIZ
        #define AN0_DM_RES_UP          PIN_DM_RES_UP
        #define AN0_DM_RES_DWN         PIN_DM_RES_DWN
        #define AN0_DM_OD_LO           PIN_DM_OD_LO
        #define AN0_DM_OD_HI           PIN_DM_OD_HI
        #define AN0_DM_STRONG          PIN_DM_STRONG
        #define AN0_DM_RES_UPDWN       PIN_DM_RES_UPDWN
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define AN0_MASK               AN0__MASK
#define AN0_SHIFT              AN0__SHIFT
#define AN0_WIDTH              1u

/* Interrupt constants */
#if defined(AN0__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in AN0_SetInterruptMode() function.
     *  @{
     */
        #define AN0_INTR_NONE      (uint16)(0x0000u)
        #define AN0_INTR_RISING    (uint16)(0x0001u)
        #define AN0_INTR_FALLING   (uint16)(0x0002u)
        #define AN0_INTR_BOTH      (uint16)(0x0003u) 
    /** @} intrMode */
/** @} group_constants */

    #define AN0_INTR_MASK      (0x01u) 
#endif /* (AN0__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define AN0_PS                     (* (reg8 *) AN0__PS)
/* Data Register */
#define AN0_DR                     (* (reg8 *) AN0__DR)
/* Port Number */
#define AN0_PRT_NUM                (* (reg8 *) AN0__PRT) 
/* Connect to Analog Globals */                                                  
#define AN0_AG                     (* (reg8 *) AN0__AG)                       
/* Analog MUX bux enable */
#define AN0_AMUX                   (* (reg8 *) AN0__AMUX) 
/* Bidirectional Enable */                                                        
#define AN0_BIE                    (* (reg8 *) AN0__BIE)
/* Bit-mask for Aliased Register Access */
#define AN0_BIT_MASK               (* (reg8 *) AN0__BIT_MASK)
/* Bypass Enable */
#define AN0_BYP                    (* (reg8 *) AN0__BYP)
/* Port wide control signals */                                                   
#define AN0_CTL                    (* (reg8 *) AN0__CTL)
/* Drive Modes */
#define AN0_DM0                    (* (reg8 *) AN0__DM0) 
#define AN0_DM1                    (* (reg8 *) AN0__DM1)
#define AN0_DM2                    (* (reg8 *) AN0__DM2) 
/* Input Buffer Disable Override */
#define AN0_INP_DIS                (* (reg8 *) AN0__INP_DIS)
/* LCD Common or Segment Drive */
#define AN0_LCD_COM_SEG            (* (reg8 *) AN0__LCD_COM_SEG)
/* Enable Segment LCD */
#define AN0_LCD_EN                 (* (reg8 *) AN0__LCD_EN)
/* Slew Rate Control */
#define AN0_SLW                    (* (reg8 *) AN0__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define AN0_PRTDSI__CAPS_SEL       (* (reg8 *) AN0__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define AN0_PRTDSI__DBL_SYNC_IN    (* (reg8 *) AN0__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define AN0_PRTDSI__OE_SEL0        (* (reg8 *) AN0__PRTDSI__OE_SEL0) 
#define AN0_PRTDSI__OE_SEL1        (* (reg8 *) AN0__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define AN0_PRTDSI__OUT_SEL0       (* (reg8 *) AN0__PRTDSI__OUT_SEL0) 
#define AN0_PRTDSI__OUT_SEL1       (* (reg8 *) AN0__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define AN0_PRTDSI__SYNC_OUT       (* (reg8 *) AN0__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(AN0__SIO_CFG)
    #define AN0_SIO_HYST_EN        (* (reg8 *) AN0__SIO_HYST_EN)
    #define AN0_SIO_REG_HIFREQ     (* (reg8 *) AN0__SIO_REG_HIFREQ)
    #define AN0_SIO_CFG            (* (reg8 *) AN0__SIO_CFG)
    #define AN0_SIO_DIFF           (* (reg8 *) AN0__SIO_DIFF)
#endif /* (AN0__SIO_CFG) */

/* Interrupt Registers */
#if defined(AN0__INTSTAT)
    #define AN0_INTSTAT            (* (reg8 *) AN0__INTSTAT)
    #define AN0_SNAP               (* (reg8 *) AN0__SNAP)
    
	#define AN0_0_INTTYPE_REG 		(* (reg8 *) AN0__0__INTTYPE)
#endif /* (AN0__INTSTAT) */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_AN0_H */


/* [] END OF FILE */
