#include "project.h"
#include <stdio.h>

#define USE_UART 1

#if USE_UART
#define ESC '\033'
char vt100_str[32] ;
void print(char *str)
{
    UART_PutString(str) ;
}
void cls(void)
{
    print("\033c") ; /* reset */
    CyDelay(20) ;
    print("\033[2J") ; /* clear screen */
    CyDelay(20) ;
}
void locate(int x, int y)
{
    sprintf(vt100_str,"%c[%d;%dH",ESC,y,x) ;
    print(vt100_str) ;
}
void LCD_Start() 
{ 
    UART_Start() ; 
    cls() ;
}
void LCD_Position(int y, int x)
{
    locate(x+1, y+1) ;
}
void LCD_PrintString(char *str) 
{ 
    print(str) ; 
    print("\n\r") ;
}
#endif

int main(void)
{
    CyGlobalIntEnable;
    LCD_Start();
    ADC_Start();

    int32 adcResults;
    float adcVolts;
    char tmpstr[25];

    LCD_Position(0,0);
    LCD_PrintString("ADC WORKING");

    for (;;) {
        ADC_StartConvert();

        ADC_IsEndConversion(ADC_WAIT_FOR_RESULT) ;
        adcResults = ADC_GetResult32();
        adcVolts = ADC_CountsTo_Volts(adcResults);
        sprintf(tmpstr,"%+1.3f Volts",adcVolts);

        LCD_Position(1,0);
        LCD_PrintString(tmpstr);
        
        CyDelay(1000) ;
    }
}